Index: code/trunk/src/orxonox/objects/worldentities/Backlight.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/Backlight.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/Backlight.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include <string>
-#include "interfaces/TimeFactorListener.h"
+#include "tools/interfaces/TimeFactorListener.h"
 #include "FadingBillboard.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/BlinkingBillboard.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/BlinkingBillboard.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/BlinkingBillboard.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Billboard.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/Camera.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/Camera.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/Camera.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include "util/OgreForwardRefs.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/FadingBillboard.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/FadingBillboard.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/FadingBillboard.h	(revision 5693)
@@ -34,5 +34,5 @@
 #include "util/Math.h"
 #include "tools/Timer.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "Billboard.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/ForceField.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/ForceField.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/ForceField.h	(revision 5693)
@@ -33,5 +33,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "StaticEntity.h"
 
@@ -43,13 +43,13 @@
         ForceField(BaseObject* creator);
         virtual ~ForceField();
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CheckPoint object through XML.
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
         virtual void tick(float dt);
 
         inline void setVelocity(float vel)
             { this->velocity_ = vel; }
-    
+
         inline float getVelocity()
             { return velocity_; }
-    
+
         inline void setDiameter(float diam)
             { this->diameter_ = diam; }
@@ -57,5 +57,5 @@
         inline float getDiameter()
             { return diameter_; }
- 
+
         inline void setLength(float l)
             { this->length_ = l; }
Index: code/trunk/src/orxonox/objects/worldentities/MobileEntity.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/MobileEntity.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/MobileEntity.h	(revision 5693)
@@ -33,5 +33,5 @@
 
 #include "util/Math.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "WorldEntity.h"
 
Index: code/trunk/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/triggers/PlayerTrigger.h	(revision 5693)
@@ -52,7 +52,7 @@
         PlayerTrigger(BaseObject* creator);
         virtual ~PlayerTrigger();
-        
+
         virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a PlayerTrigger object through XML.
-        
+
         /**
         @brief Returns the player that triggered the PlayerTrigger.
@@ -61,5 +61,5 @@
         inline Pawn* getTriggeringPlayer(void) const
             { return this->player_; }
-        
+
         /**
         @brief Checks whether the PlayerTrigger normally returns a ControllableEntity.
@@ -68,8 +68,8 @@
         inline bool isForPlayer(void) const
            { return this->isForPlayer_; }
-            
+
     protected:
         virtual bool isTriggered(TriggerMode::Value mode) = 0;
-        
+
         /**
         @brief Set the player that triggered the PlayerTrigger. This is normally done by classes inheriting vom PlayerTrigger.
@@ -81,13 +81,13 @@
             /**
             @brief Set whether the PlayerTrigger normally is triggered by ControllableEntities.
-            @param isForPlayer Should be true when the PlayerTrigger schould be set to normally be triggered by ControllableEntities, false if not.
+            @param isForPlayer Should be true when the PlayerTrigger should be set to normally be triggered by ControllableEntities, false if not.
             */
         inline void setForPlayer(bool isForPlayer)
            { this->isForPlayer_ = isForPlayer; }
-        
+
     private:
         Pawn* player_; //!< The player that triggered the PlayerTrigger.
-        bool isForPlayer_; //!< Is true when the PlayerTrigger schould be set to normally be triggered by ControllableEntities.
-    
+        bool isForPlayer_; //!< Is true when the PlayerTrigger should be set to normally be triggered by ControllableEntities.
+
     };
 
Index: code/trunk/src/orxonox/objects/worldentities/triggers/Trigger.h
===================================================================
--- code/trunk/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 3325)
+++ code/trunk/src/orxonox/objects/worldentities/triggers/Trigger.h	(revision 5693)
@@ -36,5 +36,5 @@
 
 #include "tools/BillboardSet.h"
-#include "interfaces/Tickable.h"
+#include "tools/interfaces/Tickable.h"
 #include "objects/worldentities/StaticEntity.h"
 
